//---------------------------------------------------------------------------
// (c)Alex A. Trubetskoy            alextr438@yandex.ru
//---------------------------------------------------------------------------
#ifndef FormOptionsUnitH
#define FormOptionsUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TformOptions : public TForm
{
__published:	// IDE-managed Components
    TButton *btnOk;
    TButton *btnCancel;
    TPageControl *pcOptions;
    TTabSheet *pageGeneral;
    TTabSheet *pageAnvanced;
    TGroupBox *grbxConfirm;
    TCheckBox *checkCopy;
    TCheckBox *checkDel;
    TCheckBox *checkMove;
    TCheckBox *checkDelDir;
    TLabel *labelConfirm;
    TGroupBox *grbxEditor;
    TEdit *edtEditor;
    TLabel *labelEditor;
    TButton *btnPathEditor;
    TGroupBox *grbxPacker;
    TOpenDialog *openDlg;
    TGroupBox *gbFormColor;
    TRadioButton *rbSysFormColor;
    TRadioButton *rbCustFormColor;
    TGroupBox *gbBkgColor;
    TRadioButton *rbSysBkgColor;
    TRadioButton *rbCustBkgColor;
    TColorBox *cbForm;
    TColorBox *cbBkg;
    void __fastcall btnPathEditorClick(TObject *Sender);
    void __fastcall rbCustFormColorClick(TObject *Sender);
    void __fastcall rbSysFormColorClick(TObject *Sender);
    void __fastcall rbSysBkgColorClick(TObject *Sender);
    void __fastcall rbCustBkgColorClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TformOptions(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TformOptions *formOptions;
//---------------------------------------------------------------------------
#endif
